import { IMutationTree, TTree } from './types';
export declare const IS_PROXY: unique symbol;
export declare const PATH: unique symbol;
export declare const VALUE: unique symbol;
export declare const PROXY_TREE: unique symbol;
export declare class Proxifier {
    private tree;
    CACHED_PROXY: symbol;
    delimiter: string;
    ssr: boolean;
    constructor(tree: TTree);
    private concat;
    ensureMutationTrackingIsEnabled(path: any): void;
    isDefaultProxifier(): boolean;
    ensureValueDosntExistInStateTreeElsewhere(value: any): any;
    trackPath(path: string): void;
    getTrackingTree(): TTree;
    getMutationTree(): IMutationTree<any>;
    private isProxyCached;
    private createArrayProxy;
    private createObjectProxy;
    proxify(value: any, path: string): any;
}
